import { EventEmitter } from '../../stencil-public-runtime';
import "../../../../../../dist/packages/stencil/lottery-ticket-controller/dist/types/index";
import "../../../../../../dist/packages/stencil/helper-modal/dist/types/index";
import "../../../../../../dist/packages/stencil/lottery-game-details/dist/types/index";
import "../../../../../../dist/packages/stencil/lottery-draw-results-history/dist/types/index";
import "../../../../../../dist/packages/stencil/lottery-draw-results/dist/types/index";
import "../../../../../../dist/packages/stencil/lottery-subscription/dist/types/index";
import "../../../../../../dist/libs/vaadin-facade/index";
export declare class LotteryGamePage {
    /**
     * Endpoint URL for the source of data
     */
    endpoint: string;
    /**
     * EndpointTicket URL for the source of ticket data
     */
    endpointTicket: string;
    /**
     * Endpoint URL for the source of subscription data
     */
    endpointSubscription: string;
    /**
     * GameID of the lottery game
     */
    gameId: string;
    /**
     * Player ID
     */
    playerId: number;
    /**
     * GIC Session
     */
    sessionId: string;
    /**
     * Language of the widget
     */
    language: string;
    /**
   * Url for banner's custom background image
   */
    backgroundUrl: string;
    /**
     * Client custom styling via string
     */
    clientStyling: string;
    /**
     * Client custom styling via url
     */
    clientStylingUrl: string;
    /**
     * Client custom styling via message bus
     */
    mbSource: string;
    /**
     * Translation via url
     */
    translationUrl: string;
    tickets: Array<any>;
    mainTickets: Array<any>;
    secondaryTickets: Array<any>;
    tabIndex: number;
    hasErrors: boolean;
    totalAmount: number;
    successVisible: boolean;
    private daysRemaining;
    private hoursRemaining;
    private minutesRemaining;
    private secondsRemaining;
    private nextDate;
    private isLoggedIn;
    private loginModalVisible;
    private isLoading;
    private showSubmitError;
    private submitError;
    private showApiError;
    private apiError;
    translationData: any;
    private isSubscription;
    private subscriptionParam;
    private showSubscriptionError;
    private subscriptionError;
    private isSubscribed;
    element: HTMLElement;
    goBackEvent: EventEmitter<string>;
    goToLobbyEvent: EventEmitter<string>;
    private userAgent;
    private stylingContainer;
    private stylingSubscription;
    private basicStake;
    private basicLine;
    private basicBetType;
    private quickPick;
    private nextDraw;
    private currency;
    private gameData;
    private interval;
    private isMobile;
    private secondarySelectionAllowed;
    handleClientStylingChange(newValue: any, oldValue: any): void;
    handleClientStylingUrlChange(newValue: any, oldValue: any): void;
    handleMbSourceChange(newValue: any, oldValue: any): void;
    handleNewTranslations(): void;
    componentWillLoad(): Promise<any>;
    componentDidLoad(): void;
    countdownLogic(date: any): void;
    disconnectedCallback(): void;
    getGameDetails(): void;
    calculateTotalAmount(): void;
    gridFilledHandler(event: CustomEvent<any>): void;
    gridDirtyHandler(event: CustomEvent<any>): void;
    modalCloseEvent(): void;
    stakeChangeHandler(event: any): void;
    multiplierChangeHandler(event: CustomEvent<any>): void;
    drawMultiplierChangeHandler(event: CustomEvent<any>): void;
    lineMultiplierChangeHandler(event: CustomEvent<any>): void;
    betTypeChangeHandler(event: CustomEvent<any>): void;
    createNewTicket(): void;
    showLoginModal(): void;
    handleSubscriptionReady(event: CustomEvent): void;
    handleSubscriptionCheckChange(event: CustomEvent): void;
    buildTicketParam(): any;
    showNotification(message: string, theme?: string, position?: string): void;
    handleSubmitTickets(): void;
    submitSubscriptionTickets(): Promise<void>;
    submitTickets(): void;
    goBack(): void;
    goToLobby(): void;
    thousandSeperator: (value: number | string) => string;
    render(): void;
}
